#ifndef MAT_RUBBER_H_
#define MAT_RUBBER_H_

#include "mat_user.h"

namespace user_rubber
{

class MatRubber : public MatUser {
  public:
    MatRubber();

    void runInit(UserMatInitCPU data) const override;
    void runMat(UserMatCPU data) const override;

    void runInitGPU(UserMatHost host, UserMatDevice device, cudaStream_t stream) const override;
    void runMatGPU(UserMatHost host, UserMatDevice device, cudaStream_t stream) const override;
};

} // namespace user_rubber

#endif // MAT_RUBBER_H_
